rio_get_host_deviceid_lock
Prev | Enumeration and Discovery | Next

## Name

rio_get_host_deviceid_lock — Reads the Host Device ID Lock CSR on a device

## Synopsis

`u16 rio_get_host_deviceid_lock (` | struct rio_mport * | port,
| u8 | hopcount`)`;

## Arguments

`port`

  Master port to send transaction

`hopcount`

  Number of hops to the device

## Description

Used during enumeration to read the Host Device ID Lock CSR on a RIO device. Returns the value of the lock register.

Prev | Up | Next
rio_route_get_entry | Home | rio_get_swpinfo_inport